package com.sf.day14;

public class Worker {
    private String zw;    //职位
    private Double salary;  //工资
    /**
     * 国家    省  市   区  街道  详细地址
     * address   国家    省  市   区  街道  详细地址
     */
    private String address;  //地点
    private Double  workTime;  //工作经验
    private Integer   xl;  //学历
    private String  gsName;
    private Integer gsLevel;
    private Integer numberPerson;

    public Worker() {
    }

    public Worker(String zw, Double salary, String address, Double workTime, Integer xl, String gsName, Integer gsLevel, Integer numberPerson) {
        this.zw = zw;
        this.salary = salary;
        this.address = address;
        this.workTime = workTime;
        this.xl = xl;
        this.gsName = gsName;
        this.gsLevel = gsLevel;
        this.numberPerson = numberPerson;
    }

    public String getZw() {
        return zw;
    }

    public void setZw(String zw) {
        this.zw = zw;
    }

    public Double getSalary() {
        return salary;
    }

    public void setSalary(Double salary) {
        this.salary = salary;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getWorkTime() {
        return workTime;
    }

    public void setWorkTime(Double workTime) {
        this.workTime = workTime;
    }

    public Integer getXl() {
        return xl;
    }

    public void setXl(Integer xl) {
        this.xl = xl;
    }

    public String getGsName() {
        return gsName;
    }

    public void setGsName(String gsName) {
        this.gsName = gsName;
    }

    public Integer getGsLevel() {
        return gsLevel;
    }

    public void setGsLevel(Integer gsLevel) {
        this.gsLevel = gsLevel;
    }

    public Integer getNumberPerson() {
        return numberPerson;
    }

    public void setNumberPerson(Integer numberPerson) {
        this.numberPerson = numberPerson;
    }

    @Override
    public String toString() {
        return "Worker{" +
                "zw='" + zw + '\'' +
                ", salary=" + salary +
                ", address='" + address + '\'' +
                ", workTime=" + workTime +
                ", xl=" + xl +
                ", gsName='" + gsName + '\'' +
                ", gsLevel=" + gsLevel +
                ", numberPerson=" + numberPerson +
                '}';
    }
}
